;JOnAS win32 installer
;Written by Florent Benoit
; $Id$
;Use the Modern UI
;Add two custom page :
; - one for choosing the JAVA_HOME
; - one for ant/bcel.jar installation

;Based upon the examples provided by NSIS written by Joost Verburg
;NSIS Modern User Interface version 1.63


; JOnAS product and directories
!define PRODUCT "JOnAS"
!define WEBCONTAINER "Tomcat"
!define VERSION "3.1"
!define JONAS_DIR "C:\JOnAS\jonas-tomcat\jonas-3-1"
!define ANT_DIR "C:\JOnAS\apache-ant-1.5.3-1"
!define BCEL_DIR "C:\JOnAS\bcel-5.0"
!define HEADER_JONAS "C:\JOnAS\modern-header-jonas.bmp"
!define PRODUCT_ORG "ObjectWeb"

;--------------------

!define MUI_PRODUCT "${PRODUCT} - ${WEBCONTAINER}"
!define MUI_VERSION ${VERSION}
!include "MUI.nsh"
;--------------------------------
;Configuration

  ;General

  OutFile "${PRODUCT}-${VERSION}.exe"

  ;Folder selection page
  InstallDir "C:\${PRODUCT}-${VERSION}"
  
  ;Remember install folder
  InstallDirRegKey HKCU "Software\${PRODUCT}" ""

  ;Remember the Start Menu Folder
  !define MUI_STARTMENUPAGE_REGISTRY_ROOT "HKCU" 
  !define MUI_STARTMENUPAGE_REGISTRY_KEY "Software\${MUI_PRODUCT}" 
  !define MUI_STARTMENUPAGE_REGISTRY_VALUENAME "Start Menu Folder"

  ; Type of installation
  InstType            "Typical"
  InstType            "Full"
  InstType            "Minimal"
  ShowInstDetails show



; Compress
;------------
SetCompress          auto
SetCompressor        bzip2
SetDatablockOptimize on
SetDateSave          on


;--------------------------------
;Modern UI Configuration

  !define MUI_CUSTOMPAGECOMMANDS

  !define MUI_WELCOMEPAGE
  !define MUI_LICENSEPAGE
  !define MUI_COMPONENTSPAGE
  !define MUI_COMPONENTSPAGE_SMALLDESC
  !define MUI_DIRECTORYPAGE
  !define MUI_CUSTOMFUNCTION_DIRECTORY_LEAVE checkDirectory
  !define MUI_STARTMENUPAGE
  !define MUI_FINISHPAGE
    !define MUI_FINISHPAGE_SHOWREADME "$INSTDIR/ReleaseNotes.txt"
    !define MUI_FINISHPAGE_NOAUTOCLOSE
  !define MUI_ABORTWARNING
  
  !define MUI_UNINSTALLER
  !define MUI_UNCONFIRMPAGE

  !define MUI_HEADERBITMAP ${HEADER_JONAS}

;--------------------------------
;Pages Define our own pages

  !insertmacro MUI_PAGECOMMAND_WELCOME
  !insertmacro MUI_PAGECOMMAND_LICENSE
  ; First is after the licence
  Page custom SetJavaPage
  Page custom SetAntPage
  !insertmacro MUI_PAGECOMMAND_COMPONENTS
  !insertmacro MUI_PAGECOMMAND_DIRECTORY
  !insertmacro MUI_PAGECOMMAND_STARTMENU
  !insertmacro MUI_PAGECOMMAND_INSTFILES
  !insertmacro MUI_PAGECOMMAND_FINISH
    
;--------------------------------
;Languages
  !define MUI_BRANDINGTEXT "${PRODUCT_ORG} ${PRODUCT}"
  !insertmacro MUI_LANGUAGE "English"
  
;--------------------------------
;Language Strings

  ;Description
  LangString DESC_CoreUI ${LANG_ENGLISH} "Copy all the required binaries and libraries, web container,... in order to run JOnAS"
  LangString DESC_Documentation1UI ${LANG_ENGLISH} "Copy the user's manual including a getting started"
  LangString DESC_Documentation2UI ${LANG_ENGLISH} "Copy the javadoc of the JOnAS server"
  LangString DESC_ExamplesUI ${LANG_ENGLISH} "Copy the examples of JOnAS including ear, ejbjars, etc."
  LangString DESC_JonasBaseUI ${LANG_ENGLISH} "Copy an example of JONAS_BASE directory. Allow to use JOnAS with different configurations"

;--------------------------------
;Data
  
  LicenseData "${JONAS_DIR}\LicenceAgreement.txt"
  
;--------------------------------
;Reserve Files

  ;Things that need to be extracted on first (keep these lines before any File command!)
  ;Only useful for BZIP2 compression
  !insertmacro MUI_RESERVEFILE_WELCOMEFINISHPAGE
   ReserveFile "javapage.ini"
   ReserveFile "antpage.ini"
  ReserveFile ${HEADER_JONAS}
  !insertmacro MUI_RESERVEFILE_INSTALLOPTIONS


;--------------------------------
;Installer Sections

Section "!Core" CoreUI
SectionIn 1 2 3 RO

SetOverwrite try
SetOutPath $INSTDIR

;Licence, Readme, install.html...
File  ${JONAS_DIR}\*
;apps
File /r ${JONAS_DIR}\apps
;bin
File /r ${JONAS_DIR}\bin
;conf
File /r ${JONAS_DIR}\conf
;ejbjars
File /r ${JONAS_DIR}\ejbjars
;lib
File /r ${JONAS_DIR}\lib
;logs
File /r ${JONAS_DIR}\logs
;rars
File /r ${JONAS_DIR}\rars
;templates
File /r ${JONAS_DIR}\templates
;webapps
File /r ${JONAS_DIR}\webapps
;xml
File /r ${JONAS_DIR}\xml


	; Write JOnAS ROOT
   WriteRegStr HKCU "Environment" "JONAS_ROOT" $INSTDIR
   ; Add to path bin
     push "%JONAS_ROOT%\bin\nt"
     Call AddToPath

	; Write ORB
   WriteRegStr HKCU "Environment" "OBJECTWEB_ORB" "RMI"

   ; Write JAVA_HOME  
   ReadINIStr $2 "$PLUGINSDIR\javapage.ini" "Field 9" "State"
   WriteRegStr HKCU "Environment" "JAVA_HOME" $2

  push "%JAVA_HOME%\bin"
  Call AddToPath

  ;Store install folder
  WriteRegStr HKCU "Software\${MUI_PRODUCT}" "" $INSTDIR
    

  !insertmacro MUI_STARTMENU_WRITE_BEGIN
    
    ;Create shortcuts
    CreateDirectory "$SMPROGRAMS\${MUI_STARTMENUPAGE_VARIABLE}"
    CreateShortCut "$SMPROGRAMS\${MUI_STARTMENUPAGE_VARIABLE}\Start JOnAS (ForeGround).lnk" "$INSTDIR\bin\nt\jonas.bat" "start -fg"
    CreateShortCut "$SMPROGRAMS\${MUI_STARTMENUPAGE_VARIABLE}\Start JOnAS (BackGround).lnk" "$INSTDIR\bin\nt\jonas.bat" "start"
    CreateShortCut "$SMPROGRAMS\${MUI_STARTMENUPAGE_VARIABLE}\Stop JOnAS.lnk" "$INSTDIR\bin\nt\jonas.bat" "stop"
    CreateShortCut "$SMPROGRAMS\${MUI_STARTMENUPAGE_VARIABLE}\JOnAS Documentation.lnk" "$INSTDIR\doc\index.html"
    CreateShortCut "$SMPROGRAMS\${MUI_STARTMENUPAGE_VARIABLE}\JOnAS Admin.lnk" "http://localhost:8080/jadmin"
    CreateShortCut "$SMPROGRAMS\${MUI_STARTMENUPAGE_VARIABLE}\JOnAS Home Page.lnk" "http://www.objectweb.org/jonas"
    CreateShortCut "$SMPROGRAMS\${MUI_STARTMENUPAGE_VARIABLE}\Uninstall JOnAS.lnk" "$INSTDIR\Uninstall.exe"
  
  !insertmacro MUI_STARTMENU_WRITE_END


  ;Create uninstaller
  WriteUninstaller "$INSTDIR\Uninstall.exe"



SectionEnd

SubSection /e "Documentation"

Section "User Manual" Documentation1UI
SectionIn 1 2

SetOverwrite try
SetOutPath $INSTDIR

;doc
File /r ${JONAS_DIR}\doc

SectionEnd

Section "JavaDoc" Documentation2UI
SectionIn 2
SetOverwrite try
SetOutPath $INSTDIR

;java doc
File /r ${JONAS_DIR}\jdoc
SectionEnd

SubSectionEnd

Section "Examples" ExamplesUI
SectionIn 1 2
SetOverwrite try
SetOutPath $INSTDIR

;examples
File /r ${JONAS_DIR}\examples

SectionEnd

Section "JONAS_BASE example" JonasBaseUI
SectionIn 2
SetOverwrite try
SetOutPath $INSTDIR

;jonas base example
File /r ${JONAS_DIR}\demoserver

SectionEnd

Section "-Ant"
  SectionIn 1 2 3

  ;Checkbox is disabled ? nothing to do
  ReadINIStr $1 "$PLUGINSDIR\antpage.ini" "Field 10" "Flags"
  StrCmp $1 DISABLED noAnt


  ;Checkbox is checked ?
  ReadINIStr $1 "$PLUGINSDIR\antpage.ini" "Field 10" "State"
  StrCmp $1 0 noAnt
  
  ;Checkbox is checked so install ant
  ;Ant
  SetOverwrite try
  SetOutPath $INSTDIR\ant
  WriteINIStr "$PLUGINSDIR\antpage.ini" "Field 4" "State" $INSTDIR\ant

  WriteRegStr HKCU "Environment" "ANT_HOME" $INSTDIR\ant
  ;Ant
  File ${ANT_DIR}\*
  File /r ${ANT_DIR}\bin
  File /r ${ANT_DIR}\etc
  File /r ${ANT_DIR}\lib


  push "%ANT_HOME%\bin"
  Call AddToPath


  noAnt:
SectionEnd

Section "-Bcel"
  SectionIn 1 2 3

  ;Checkbox is disabled ? nothing to do
  ReadINIStr $1 "$PLUGINSDIR\antpage.ini" "Field 11" "Flags"
  StrCmp $1 DISABLED noBCel

  ;Checkbox is checked ?
  ReadINIStr $1 "$PLUGINSDIR\antpage.ini" "Field 11" "State"
  StrCmp $1 0 noBcel

  ;It is checked
  ;Bcel
  SetOverwrite try
  
  ; Right path
  ReadINIStr $1 "$PLUGINSDIR\antpage.ini" "Field 10" "State"
  StrCmp $1 DISABLED defaultPath
  ; install to ANT_HOME\lib
  ReadINIStr $1 "$PLUGINSDIR\antpage.ini" "Field 4" "State"
  SetOutPath $1\lib
  goto pathSet
  
  ;install to default path
  defaultPath:
  SetOutPath $INSTDIR\ant\lib

  pathSet:
  File ${BCEL_DIR}\bcel.jar

  noBcel:
SectionEnd



;--------------------------------
;Descriptions
!insertmacro MUI_FUNCTIONS_DESCRIPTION_BEGIN
  !insertmacro MUI_DESCRIPTION_TEXT ${CoreUI} $(DESC_CoreUI)
  !insertmacro MUI_DESCRIPTION_TEXT ${Documentation1UI} $(DESC_Documentation1UI)
  !insertmacro MUI_DESCRIPTION_TEXT ${Documentation2UI} $(DESC_Documentation2UI)
  !insertmacro MUI_DESCRIPTION_TEXT ${ExamplesUI} $(DESC_ExamplesUI)
  !insertmacro MUI_DESCRIPTION_TEXT ${JonasBaseUI} $(DESC_JonasBaseUI)

!insertmacro MUI_FUNCTIONS_DESCRIPTION_END



;--------------------------------
;Installer Functions

Function .onInit

  Call IsNT
  Pop $1
  StrCmp $1 1 NTInstall
   MessageBox MB_OK|MB_ICONSTOP "JOnAS scripts don't run on Win 9x systems. So this setup will exit."
   Abort

  NTInstall:
  ;Extract InstallOptions INI Files
  !insertmacro MUI_INSTALLOPTIONS_EXTRACT "javapage.ini"
  !insertmacro MUI_INSTALLOPTIONS_EXTRACT "antpage.ini"
  
FunctionEnd

LangString TEXT_IO_JAVATITLE ${LANG_ENGLISH} "Java Setup"
LangString TEXT_IO_JAVASUBTITLE ${LANG_ENGLISH} "Java Development Kit"

LangString TEXT_IO_ANTTITLE ${LANG_ENGLISH} "Ant Setup"
LangString TEXT_IO_ANTSUBTITLE ${LANG_ENGLISH} "Ant compiler"


Function SetJavaPage
  call GetJavaVersion
  StrCmp $1 "" javaNotFound javaFound
  javaNotFound:
   MessageBox MB_OK|MB_ICONSTOP "No JDK was found on this computer. No JAVA_HOME is defined and no Sun JDK is installed. Please download a JDK from the Sun Microsystems site at http://java.sun.com/j2se. Please launch again this setup when you will have install a JDK."
   ; Launch a browser to the Sun site before exiting
   ExecShell open http://java.sun.com/j2se/1.4.1/download.html
   Quit
  javaFound:
  !insertmacro MUI_HEADER_TEXT "$(TEXT_IO_JAVATITLE)" "$(TEXT_IO_JAVASUBTITLE)"
  !insertmacro MUI_INSTALLOPTIONS_DISPLAY "javapage.ini"
FunctionEnd


Function SetAntPage
  call GetAnt
  !insertmacro MUI_HEADER_TEXT "$(TEXT_IO_ANTTITLE)" "$(TEXT_IO_ANTSUBTITLE)"
  !insertmacro MUI_INSTALLOPTIONS_DISPLAY "antpage.ini"
FunctionEnd

Function checkDirectory
Push $INSTDIR
Call CheckForSpaces
Pop $1
IntCmp $1 0 noSpaces
MessageBox MB_OK|MB_ICONEXCLAMATION "Error: The Installaton directory has $1 spaces.$\nYou cannot have spaces in the directory path."
Abort

noSpaces:
FunctionEnd

Function GetJavaVersion

  ;No value by default
  StrCpy $1 ""
  
  ClearErrors
  ; READ JAVA_HOME from all users
  ReadEnvStr $1 "JAVA_HOME"
  IfErrors noAllUsersJavaHome
  ; Set the JAVA_HOME value into the ini file
  WriteINIStr "$PLUGINSDIR\javapage.ini" "Field 4" "State" $1
  ; Add item to combo
  WriteINIStr "$PLUGINSDIR\javapage.ini" "Field 9" "State" $1
  WriteINIStr "$PLUGINSDIR\javapage.ini" "Field 9" "ListItems" $1

  noAllUsersJavaHome:
  ClearErrors
  ; READ JAVA_HOME from the user
  ReadRegStr $1 HKCU "Environment" "JAVA_HOME"
  IfErrors noUserJavaHome
  ; Set the JAVA_HOME value into the ini file
  WriteINIStr "$PLUGINSDIR\javapage.ini" "Field 4" "State" $1
  ; Add item to combo
  WriteINIStr "$PLUGINSDIR\javapage.ini" "Field 9" "State" $1
  WriteINIStr "$PLUGINSDIR\javapage.ini" "Field 9" "ListItems" $1
 

  noUserJavaHome:
  ClearErrors  
  ; Read the Sun JDK value from the registry
  ReadRegStr $2 HKLM "SOFTWARE\JavaSoft\Java Development Kit" "CurrentVersion"
  ReadRegStr $1 HKLM "SOFTWARE\JavaSoft\Java Development Kit\$2" "JavaHome"

  IfErrors noSunJDK
  WriteINIStr "$PLUGINSDIR\javapage.ini" "Field 7" "State" $1
  ; Read item from combo
  ReadINIStr $3 "$PLUGINSDIR\javapage.ini" "Field 9" "State"
  ; same value, don't add
  StrCmp $3 $1 noSunJDK
  ; add or append to existing value ?
  StrCmp $3 "" setJDK appendJDK
  setJDK:
  WriteINIStr "$PLUGINSDIR\javapage.ini" "Field 9" "State" $1  
  WriteINIStr "$PLUGINSDIR\javapage.ini" "Field 9" "ListItems" $1
  goto noSunJDK
  appendJDK:
  WriteINIStr "$PLUGINSDIR\javapage.ini" "Field 9" "ListItems" $3|$1


  
  noSunJDK:
  
FunctionEnd


Function GetAnt
  ;No value by default
  StrCpy $1 ""
  StrCpy $2 ""
  
  ClearErrors
  ; READ ANT_HOME from all users
  ReadEnvStr $1 "ANT_HOME"
  IfErrors noAllUsersAntHome
  ; Set the ANT_HOME value into the ini file
  WriteINIStr "$PLUGINSDIR\antpage.ini" "Field 4" "State" $1
  WriteINIStr "$PLUGINSDIR\antpage.ini" "Field 10" "Flags" DISABLED
  StrCpy $2 $1
  
  noAllUsersAntHome:
  ClearErrors
  ; READ ANT_HOME from the user
  ReadRegStr $1 HKCU "Environment" "ANT_HOME"
  IfErrors noUserAntHome
  ; Set the ANT_HOME value into the ini file
  WriteINIStr "$PLUGINSDIR\antpage.ini" "Field 4" "State" $1
  WriteINIStr "$PLUGINSDIR\antpage.ini" "Field 10" "Flags" DISABLED
  StrCpy $2 $1

  noUserAntHome:
  ClearErrors 
  ReadINIStr $1 "$PLUGINSDIR\antpage.ini" "Field 4" "State"
  StrCmp $2 "" noAnt
  ; check if there is a bcel.jar file in ANT_HOME\lib
  ReadINIStr $2 "$PLUGINSDIR\antpage.ini" "Field 4" "State"
  IfFileExists $2\lib\bcel.jar 0 noBcel
  WriteINIStr "$PLUGINSDIR\antpage.ini" "Field 7" "State" Yes
  WriteINIStr "$PLUGINSDIR\antpage.ini" "Field 11" "Flags" DISABLED

  noAnt:
  noBcel:

FunctionEnd





; Script written by KiCHiK 
; modified by Florent Benoit : add to the path only if the path doesn't already exists
; do not modify for windows 9x with autoexec.bat
; Put path before the existing path
; Use WriteRegExpandStr instead of WriteRegStr (for %VAR% path)
!verbose 3
!include "WinMessages.NSH"
!verbose 4

;====================================================
; AddToPath - Adds the given dir to the search path.
;        Input - head of the stack
;====================================================
Function AddToPath
  Exch $0
  Push $1
  
  ReadRegStr $1 HKCU "Environment" "PATH"

  ;Add to path only if the path is not present
  Push $1
  Push $0
  Call StrStr ; Find $0 in $1
  ;Copy path that we want to add into $2
  StrCpy $2 $0
  Pop $0 ; pos of our dir
  ; not found = -1
  IntCmp $0 -1 AddingPath
  goto PathAlreadyAdded
  AddingPath:
    StrCmp $1 "" AddToPath_NTdoIt
    StrCpy $2 "$2;$1"
  AddToPath_NTdoIt:
    WriteRegExpandStr HKCU "Environment" "PATH" $2
 
  PathAlreadyAdded:
   SendMessage ${HWND_BROADCAST} ${WM_WININICHANGE} 0 "STR:Environment" /TIMEOUT=5000
    Pop $1
    Pop $0
FunctionEnd

;====================================================
; RemoveFromPath - Remove a given dir from the path
;     Input: head of the stack
;====================================================
Function un.RemoveFromPath
  Exch $0
  Push $1
  Push $2
  Push $3
  Push $4
  
    StrLen $2 $0
    ReadRegStr $1 HKCU "Environment" "PATH"
    Push $1
    Push $0
    Call un.StrStr ; Find $0 in $1
    Pop $0 ; pos of our dir
    IntCmp $0 -1 unRemoveFromPath_done
      ; else, it is in path
      StrCpy $3 $1 $0 ; $3 now has the part of the path before our dir
      IntOp $2 $2 + $0 ; $2 now contains the pos after our dir in the path (';')
      IntOp $2 $2 + 1 ; $2 now containts the pos after our dir and the semicolon.
      StrLen $0 $1
      StrCpy $1 $1 $0 $2
      StrCpy $3 "$3$1"

      WriteRegStr HKCU "Environment" "PATH" $3
      SendMessage ${HWND_BROADCAST} ${WM_WININICHANGE} 0 "STR:Environment" /TIMEOUT=5000
  
  unRemoveFromPath_done:
    Pop $4
    Pop $3
    Pop $2
    Pop $1
    Pop $0
FunctionEnd

;====================================================
; IsNT - Returns 1 if the current system is NT, 0
;        otherwise.
;     Output: head of the stack
;====================================================
Function IsNT
  Push $0
  ReadRegStr $0 HKLM "SOFTWARE\Microsoft\Windows NT\CurrentVersion" CurrentVersion
  StrCmp $0 "" 0 IsNT_yes
  ; we are not NT.
  Pop $0
  Push 0
  Return

  IsNT_yes:
    ; NT!!!
    Pop $0
    Push 1
FunctionEnd

;====================================================
; StrStr - Finds a given string in another given string.
;               Returns -1 if not found and the pos if found.
;          Input: head of the stack - string to find
;                      second in the stack - string to find in
;          Output: head of the stack
;====================================================
Function StrStr
  Push $0
  Exch
  Pop $0 ; $0 now have the string to find
  Push $1
  Exch 2
  Pop $1 ; $1 now have the string to find in
  Exch
  Push $2
  Push $3
  Push $4
  Push $5

  StrCpy $2 -1
  StrLen $3 $0
  StrLen $4 $1
  IntOp $4 $4 - $3

  unStrStr_loop:
    IntOp $2 $2 + 1
    IntCmp $2 $4 0 0 unStrStrReturn_notFound
    StrCpy $5 $1 $3 $2
    StrCmp $5 $0 unStrStr_done unStrStr_loop

  unStrStrReturn_notFound:
    StrCpy $2 -1

  unStrStr_done:
    Pop $5
    Pop $4
    Pop $3
    Exch $2
    Exch 2
    Pop $0
    Pop $1
FunctionEnd

; written by Afrow UK (http://nsis.sourceforge.net/archive/nsisweb.php?page=222)
Function CheckForSpaces
 Exch $R0
 Push $R1
 Push $R2
 Push $R3
 Push $R4
 StrCpy $R1 -1
 StrCpy $R3 0
 StrCpy $R4 ""
 StrCpy $R5 ""
 loop:
   StrCpy $R2 $R0 1 $R1
   IntOp $R1 $R1 - 1
   StrCmp $R2 "" done
   StrCmp $R2 " " found
   StrCpy $R4 "$R2$R4"
 Goto loop
 found:
   IntOp $R3 $R3 + 1
 Goto loop
 done:
StrCpy $1 $R3
push $1
;   MessageBox MB_OK|MB_ICONEXCLAMATION "Error: The Installaton directory has $R3 spaces.$\nYou cannot have spaces in the directory path."
;   Pop $R3
;   Pop $R2
;   Pop $R1
;   Exch $R3
FunctionEnd

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Uninstall sutff
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

Function un.StrStr
  Push $0
  Exch
  Pop $0 ; $0 now have the string to find
  Push $1
  Exch 2
  Pop $1 ; $1 now have the string to find in
  Exch
  Push $2
  Push $3
  Push $4
  Push $5

  StrCpy $2 -1
  StrLen $3 $0
  StrLen $4 $1
  IntOp $4 $4 - $3

  unStrStr_loop:
    IntOp $2 $2 + 1
    IntCmp $2 $4 0 0 unStrStrReturn_notFound
    StrCpy $5 $1 $3 $2
    StrCmp $5 $0 unStrStr_done unStrStr_loop

  unStrStrReturn_notFound:
    StrCpy $2 -1

  unStrStr_done:
    Pop $5
    Pop $4
    Pop $3
    Exch $2
    Exch 2
    Pop $0
    Pop $1
FunctionEnd

;--------------------------------
;Uninstaller Section

Section "Uninstall"

  ;Add your stuff here

  ReadRegStr $3 "${MUI_STARTMENUPAGE_REGISTRY_ROOT}" "${MUI_STARTMENUPAGE_REGISTRY_KEY}" "${MUI_STARTMENUPAGE_REGISTRY_VALUENAME}"
  StrCmp $3 "" noshortcuts
  
  ; Delete "$SMPROGRAMS\${3}\Uninstall.lnk"
  ; remove all shortcuts
   RMDir /r "$SMPROGRAMS\$3"

  noshortcuts:

  DeleteRegKey /ifempty HKCU "Software\${MUI_PRODUCT}"

  DeleteRegValue HKCU "Environment" "JONAS_ROOT"

  ; Write ORB
  DeleteRegValue HKCU "Environment" "OBJECTWEB_ORB"

  ; Write ORB
  DeleteRegValue HKCU "Environment" "OBJECTWEB_ORB"

  ; ant packaged
  IfFileExists $INSTDIR\ant\*.* removeAnt dontRemoveAnt
  removeAnt:
  DeleteRegValue HKCU "Environment" "ANT_HOME"
  RMDir /r "$INSTDIR\ant"
  push "%ANT_HOME%\bin"
  Call un.RemoveFromPath


  dontRemoveAnt:
  push "%JONAS_ROOT%\bin\nt"
  Call un.RemoveFromPath

  Delete $INSTDIR\Uninstall.exe
  RMDir /r "$INSTDIR\bin"
  RMDir /r "$INSTDIR\doc"
  RMDir /r "$INSTDIR\lib"
  RMDir /r "$INSTDIR\logs"
  RMDir /r "$INSTDIR\templates"
  RMDir /r "$INSTDIR\xml"
  MessageBox MB_OK "You have to remove the directory $INSTDIR. This directory was not deleted if you have defined some ears, wars, wars, they are already present."

  !insertmacro MUI_UNFINISHHEADER
SectionEnd