/* 
 * JOnAS: Java(TM) Open Application Server * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.jadmin.servlet;

import javax.management.MBeanAttributeInfo;

public class ManagedAttributeInfo
{
   String type = null;
   String name = null;
   Object detail = null;
   boolean writable;
   boolean readable;
   MBeanAttributeInfo oMBeanAttributeInfo = null;

   public ManagedAttributeInfo(String type, boolean writable, boolean readable, String name
      , Object detail, MBeanAttributeInfo _oMBeanAttributeInfo)
   {
      this.type = type;
      this.writable = writable;
      this.readable = readable;
      this.name = name;
      this.detail = detail;
      if (detail == null)
      {
         this.detail = new String("null");
      }
      oMBeanAttributeInfo = _oMBeanAttributeInfo;
   }

   public MBeanAttributeInfo getMBeanAttributeInfo()
   {
      return oMBeanAttributeInfo;
   }

   public String getDescription()
   {
      try
      {
         return oMBeanAttributeInfo.getDescription();
      }
      catch (Exception e)
      {
         return "&nbsp;";
      }
   }

   public String getType()
   {
      return type;
   }

   public String getName()
   {
      return name;
   }

   public Object getDetail()
   {
      return detail;
   }

   public String showDetail()
   {
      return detail.toString();
   }

   public boolean isWritable()
   {
      return writable;
   }

   public boolean isReadable()
   {
      return readable;
   }
}
