/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Michel-Ange ANTON
 * --------------------------------------------------------------------------
 * $Id:
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.jonasadmin;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import org.objectweb.jonas.jmx.JonasManagementRepr;

/**
 *
 * <p>Titre : Jonas Administration</p>
 * <p>Description : </p>
 * <p>Copyright : Copyright (c) 2003</p>
 * <p>Socit : </p>
 * @author michelange
 * @version 2.0
 */
public class SetupWhereAreYouAction extends JonasBaseAction {

// --------------------------------------------------------- Public Methods

   /**
    * Process the specified HTTP request, and create the corresponding HTTP
    * response (or forward to another web component that will create it).
    * Return an <code>ActionForward</code> instance describing where and how
    * control should be forwarded, or <code>null</code> if the response has
    * already been completed.
    *
    * @param mapping The ActionMapping used to select this instance
    * @param actionForm The optional ActionForm bean for this request (if any)
    * @param request The HTTP request we are processing
    * @param response The HTTP response we are creating
    *
    * @exception IOException if an input/output error occurs
    * @exception ServletException if a servlet exception occurs
    */
   public ActionForward executeAction(ActionMapping p_Mapping, ActionForm p_Form
      , HttpServletRequest p_Request, HttpServletResponse p_Response)
      throws IOException, ServletException {

      if (JonasManagementRepr.reprNull() == false) {
         WhereAreYou oWhere = (WhereAreYou) m_Session.getAttribute("WhereAreYou");
         if (oWhere == null) {
            oWhere = new WhereAreYou();
            oWhere.initialize(getServlet(), p_Request);
            m_Session.setAttribute("WhereAreYou", oWhere);
         }
         else {
            oWhere.refreshServers(p_Request);
         }
         return (p_Mapping.findForward("Frame Main"));
      }
      else {
         String message = m_Resources.getMessage("error.jmx.management");
         getServlet().log(message);
         m_Errors.add("error.jmx.management", new ActionError("error.jmx.management"));
         saveErrors(p_Request, m_Errors);
      }
      return (p_Mapping.findForward("Global Error"));
   }

}
