/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Michel-Ange ANTON
 * --------------------------------------------------------------------------
 * $Id:
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.jonasadmin.service.ejb;

import javax.management.ObjectName;

/**
 *
 */

abstract public class EditEjbSessionAction extends EditEjbAction {
// --------------------------------------------------------- Public Methods

// --------------------------------------------------------- Protected Methods

   /**
    * Return a <code>EjbSessionForm</code> instance associate to the EJB.
    *
    * @return A form instance
    */
   protected EjbForm getEjbForm() {
      return new EjbSessionForm();
   }

   /**
    * Fill all infos of EJB Entity in the <code>EjbEntityForm</code> instance.
    *
    * @param p_Form Instance to fill
    * @param p_ObjectName Instance to get infos
    * @throws Exception
    */
   protected void fillEjbInfo(EjbForm p_Form, ObjectName p_ObjectName)
      throws Exception {
      fillEjbGlobalInfo(p_Form, p_ObjectName);

      EjbSessionForm oForm = (EjbSessionForm) p_Form;
      oForm.setSessionTimeOut(getIntegerAttribute(p_ObjectName, "SessionTimeOut"));
   }

   /**
    * The global forward to go.
    *
    * @return Forward
    */
   protected String getEjbForward() {
      return "Ejb Session";
   }
}
