/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Michel-Ange ANTON
 * --------------------------------------------------------------------------
 * $Id:
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.jonasadmin.service.ejb;

public class EjbItem {

// --------------------------------------------------------- Public Constants

   public final static int EJB_BMP = 1;
   public final static int EJB_CMP = 2;
   public final static int EJB_SBF = 3;
   public final static int EJB_SBL = 4;
   public final static int EJB_MDB = 5;
   public final static String EJB_BMP_STRING = "Bmp";
   public final static String EJB_CMP_STRING = "Cmp";
   public final static String EJB_SBF_STRING = "Sbf";
   public final static String EJB_SBL_STRING = "Sbl";
   public final static String EJB_MDB_STRING = "Mdb";

// --------------------------------------------------------- Properties Variables

   private int type = 0;
   private String filename = null;
   private String name = null;
   private String typeString = null;
   private String typeStringResource = null;

// --------------------------------------------------------- Constructors

   public EjbItem() {
      type = 0;
      filename = null;
      name = null;
   }

   public EjbItem(int type, String name, String filename) {
      setType(type);
      setName(name);
      setFilename(filename);
   }

   public EjbItem(int type, String name, String filename, String typeStringResource) {
      setType(type);
      setName(name);
      setFilename(filename);
      setTypeStringResource(typeStringResource);
   }

// --------------------------------------------------------- Properties Methods

   public int getType() {
      return type;
   }

   public void setType(int type) {
      this.type = type;
      switch (this.type) {
         case EJB_BMP:
            typeString = EJB_BMP_STRING;
            break;
         case EJB_CMP:
            typeString = EJB_CMP_STRING;
            break;
         case EJB_SBF:
            typeString = EJB_SBF_STRING;
            break;
         case EJB_SBL:
            typeString = EJB_SBL_STRING;
            break;
         case EJB_MDB:
            typeString = EJB_MDB_STRING;
            break;
         default:
            typeString = "";
      }
   }

   public String getName() {
      return name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getFilename() {
      return filename;
   }

   public void setFilename(String filename) {
      this.filename = filename;
   }

   public String getTypeString() {
      return typeString;
   }

   public String getTypeStringResource() {
      return typeStringResource;
   }

   public void setTypeStringResource(String typeStringResource) {
      this.typeStringResource = typeStringResource;
   }

}