<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ page import="org.apache.struts.action.Action"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:panel>
    <logic:equal name="ejbForm" property="type" value="Bmp">
      <sj:tab forward="Ejb Entity"><bean:message key="tab.ejb"/></sj:tab>
    </logic:equal>
    <logic:equal name="ejbForm" property="type" value="Cmp">
      <sj:tab forward="Ejb Entity"><bean:message key="tab.ejb"/></sj:tab>
    </logic:equal>
    <logic:equal name="ejbForm" property="type" value="Sbf">
      <sj:tab forward="Ejb Session"><bean:message key="tab.ejb"/></sj:tab>
    </logic:equal>
    <logic:equal name="ejbForm" property="type" value="Sbl">
      <sj:tab forward="Ejb Session"><bean:message key="tab.ejb"/></sj:tab>
    </logic:equal>
    <logic:equal name="ejbForm" property="type" value="Mdb">
      <sj:tab forward="Ejb Message"><bean:message key="tab.ejb"/></sj:tab>
    </logic:equal>
    <logic:equal name="ejbForm" property="dependency" value="true">
      <sj:tab forward="Ejb Dependency" selected="true"><bean:message key="tab.ejb.dependency"/></sj:tab>
    </logic:equal>

<!-- Datasource -->
    <logic:equal name="ejbForm" property="dataSource" value="true">
      <sj:jonasgrid>
        <sj:jgRowTitle>
          <sj:jgColTitle><bean:message key="list.title.ejb.dependency.datasource"/></sj:jgColTitle>
        </sj:jgRowTitle>
      </sj:jonasgrid>
      <logic:equal name="ejbForm" property="databaseServiceActivated" value="false">
        <sj:jonasgrid>
          <sj:gridrow styleClass="errors">
            <sj:gridcol styleClass="errors"><bean:message key="warning.jonas.service.database.notActivated"/></sj:gridcol>
          </sj:gridrow>
        </sj:jonasgrid>
      </logic:equal>
      <sj:jonasgrid>
        <logic:iterate id="map" name="ejbForm" property="dataSources">
          <sj:gridrow>
            <sj:jgName><bean:write name="map" property="key"/></sj:jgName>
            <sj:jgValue><bean:write name="map" property="value"/></sj:jgValue>
          </sj:gridrow>
        </logic:iterate>
      </sj:jonasgrid>
    <sj:panelSeparator/>
    </logic:equal>

<!-- JMS Connection-->
    <logic:equal name="ejbForm" property="jmsConnection" value="true">
      <sj:jonasgrid>
        <sj:jgRowTitle>
          <sj:jgColTitle><bean:message key="list.title.ejb.dependency.jms.connection"/></sj:jgColTitle>
        </sj:jgRowTitle>
      </sj:jonasgrid>
      <logic:equal name="ejbForm" property="jmsServiceActivated" value="false">
        <sj:jonasgrid>
          <sj:gridrow styleClass="errors">
            <sj:gridcol styleClass="errors"><bean:message key="warning.jonas.service.jms.notActivated"/></sj:gridcol>
          </sj:gridrow>
        </sj:jonasgrid>
      </logic:equal>
      <sj:jonasgrid>
        <logic:iterate id="list" name="ejbForm" property="jmsConnections">
          <sj:gridrow>
            <sj:jgName></sj:jgName>
            <sj:jgValue><bean:write name="list"/></sj:jgValue>
          </sj:gridrow>
        </logic:iterate>
      </sj:jonasgrid>
    <sj:panelSeparator/>
    </logic:equal>

<!-- JMS Destination-->
    <logic:equal name="ejbForm" property="jmsDestination" value="true">
      <sj:jonasgrid>
        <sj:jgRowTitle>
          <sj:jgColTitle><bean:message key="list.title.ejb.dependency.jms.destination"/></sj:jgColTitle>
        </sj:jgRowTitle>
      </sj:jonasgrid>
      <logic:equal name="ejbForm" property="jmsServiceActivated" value="false">
        <sj:jonasgrid>
          <sj:gridrow styleClass="errors">
            <sj:gridcol styleClass="errors"><bean:message key="warning.jonas.service.jms.notActivated"/></sj:gridcol>
          </sj:gridrow>
        </sj:jonasgrid>
      </logic:equal>
      <sj:jonasgrid>
        <logic:iterate id="list" name="ejbForm" property="jmsDestinations">
          <sj:gridrow>
            <sj:jgName></sj:jgName>
            <sj:jgValue><bean:write name="list"/></sj:jgValue>
          </sj:gridrow>
        </logic:iterate>
      </sj:jonasgrid>
    <sj:panelSeparator/>
    </logic:equal>

<!-- Mail Session -->
    <logic:equal name="ejbForm" property="mailSession" value="true">
      <sj:jonasgrid>
        <sj:jgRowTitle>
          <sj:jgColTitle><bean:message key="list.title.ejb.dependency.mail.session"/></sj:jgColTitle>
        </sj:jgRowTitle>
      </sj:jonasgrid>
      <logic:equal name="ejbForm" property="mailServiceActivated" value="false">
        <sj:jonasgrid>
          <sj:gridrow styleClass="errors">
            <sj:gridcol styleClass="errors"><bean:message key="warning.jonas.service.mail.notActivated"/></sj:gridcol>
          </sj:gridrow>
        </sj:jonasgrid>
      </logic:equal>
      <sj:jonasgrid>
        <logic:iterate id="map" name="ejbForm" property="mailSessions">
          <sj:gridrow>
            <sj:jgName><bean:write name="map" property="key"/></sj:jgName>
            <sj:jgValue><bean:write name="map" property="value"/></sj:jgValue>
          </sj:gridrow>
        </logic:iterate>
      </sj:jonasgrid>
    <sj:panelSeparator/>
    </logic:equal>

<!-- MimePartMail -->
    <logic:equal name="ejbForm" property="mailMime" value="true">
      <sj:jonasgrid>
        <sj:jgRowTitle>
          <sj:jgColTitle><bean:message key="list.title.ejb.dependency.mail.mime"/></sj:jgColTitle>
        </sj:jgRowTitle>
      </sj:jonasgrid>
      <logic:equal name="ejbForm" property="mailServiceActivated" value="false">
        <sj:jonasgrid>
          <sj:gridrow styleClass="errors">
            <sj:gridcol styleClass="errors"><bean:message key="warning.jonas.service.mail.notActivated"/></sj:gridcol>
          </sj:gridrow>
        </sj:jonasgrid>
      </logic:equal>
      <sj:jonasgrid>
        <logic:iterate id="map" name="ejbForm" property="mailMimes">
          <sj:gridrow>
            <sj:jgName><bean:write name="map" property="key"/></sj:jgName>
            <sj:jgValue><bean:write name="map" property="value"/></sj:jgValue>
          </sj:gridrow>
        </logic:iterate>
      </sj:jonasgrid>
    <sj:panelSeparator/>
    </logic:equal>
  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

