<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:panel>
    <logic:equal name="ejbForm" property="type" value="Bmp">
      <sj:tab forward="Ejb Bmp" selected="true"><bean:message key="tab.ejb"/></sj:tab>
    </logic:equal>
    <logic:equal name="ejbForm" property="type" value="Cmp">
      <sj:tab forward="Ejb Cmp" selected="true"><bean:message key="tab.ejb"/></sj:tab>
    </logic:equal>
    <logic:equal name="ejbForm" property="dependency" value="true">
      <sj:tab forward="Ejb Dependency"><bean:message key="tab.ejb.dependency"/></sj:tab>
    </logic:equal>
    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle><bean:write name="ejbForm" property="fullType"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.name"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="name"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.file"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="file"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:panelSeparator/>

    <sj:jonasgrid>
      <sj:jgRowTitle level="2">
        <sj:jgColTitle><bean:message key="list.title.ejb.naming"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.naming.class"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="ejbClass"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.naming.jndiName"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="jndiName"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.naming.homeClass"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="homeClass"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.naming.remoteClass"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="remoteClass"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.naming.localHomeClass"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="localHomeClass"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.naming.localClass"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="localClass"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:panelSeparator/>

    <sj:jonasgrid>
      <sj:jgRowTitle level="2">
        <sj:jgColTitle><bean:message key="list.title.ejb.type.entity"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.type.entity.persistance"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="type"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.type.entity.passivationTimeOut"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="passivationTimeOut"/></sj:jgValue></sj:gridrow>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.type.entity.shared"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="shared"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:panelSeparator/>

    <sj:jonasgrid>
      <sj:jgRowTitle level="2">
        <sj:jgColTitle><bean:message key="list.title.ejb.type.entity.memory"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.type.entity.memory.minPoolSize"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="minPoolSize"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.type.entity.memory.maxCacheSize"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="maxCacheSize"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.type.entity.memory.poolSize"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="poolSize"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.type.entity.memory.cacheSize"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="cacheSize"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:panelSeparator/>

    <sj:jonasgrid>
      <sj:jgRowTitle level="2">
        <sj:jgColTitle><bean:message key="list.title.ejb.type.entity.instance"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.type.entity.instance.usedInTxInstance"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="usedInTxInstance"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.type.entity.instance.usedOutTxInstance"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="usedOutTxInstance"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.type.entity.instance.unusedInstance"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="unusedInstance"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.type.entity.instance.passivatedInstance"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="passivatedInstance"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="list.label.ejb.type.entity.instance.removedInstance"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbForm" property="removedInstance"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

