/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Michel-Ange ANTON
 * --------------------------------------------------------------------------
 * $Id:
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.taglib;

import java.io.IOException;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;

import org.apache.webapp.admin.TreeControlNode;

public class TitleContentTag extends WhereAreYouTag {

// ----------------------------------------------------- Constants

// ----------------------------------------------------- Instance Variables

// ------------------------------------------------------------- Properties
   private String image = null;
   private String title = null;

   public String getImage() {
      return image;
   }

   public void setImage(String image) {
      this.image = image;
   }

   public String getTitle() {
      return title;
   }

   public void setTitle(String title) {
      this.title = title;
   }

// --------------------------------------------------------- Public Methods

   /**
    * Render this instant actions control.
    *
    * @exception JspException if a processing error occurs
    */
   public int doEndTag()
      throws JspException {
      JspWriter out = pageContext.getOut();
      try {
         render(out);
      }
      catch (IOException e) {
         throw new JspException(e);
      }
      return (EVAL_PAGE);
   }

   /**
    * Release all state information set by this tag.
    */
   public void release() {
      this.image = null;
      this.title = null;
   }

// -------------------------------------------------------- Protected Methods

   protected void render(JspWriter out)
      throws IOException, JspException {
      String sImageDisplay = null;
      String sTitleDisplay = null;

      // Prepare WhereAreYou infos
      if (isUsingWhere()) {
         TreeControlNode oNode = getSelectedTreeControlNode();
         if (oNode != null) {
            sImageDisplay = getImagesRoot() + "/" + oNode.getIcon();
            sTitleDisplay = oNode.getLabel();
         }
      }
      // Prepare parameters
      if (image != null) {
         sImageDisplay = image;
      }
      if (title != null) {
         sTitleDisplay = title;
      }
      // Display
      if ((sImageDisplay != null) || (sTitleDisplay != null)) {
         out.println("<table height=\"30\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">");
         out.println("<tr valign=\"top\">");
         if (sImageDisplay != null) {
            out.print("<td valign=\"top\" class=\"contentTitleImage\"><img src=\"");
            out.print(sImageDisplay);
            out.println("\" border=\"0\">&nbsp;</td>");
         }
         if (sTitleDisplay != null) {
            out.print("<td class=\"contentTitle\">");
            out.print(sTitleDisplay);
            out.println("</td>");
         }
         out.println("</tr>");
         out.println("</table>");
      }
   }

}
