// AddressBookClientSLR.java
// Stateless Session bean

package org.objectweb.ws.addressbook_client_ejb.beans.ab_client;

import java.rmi.RemoteException;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;
import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.RemoveException;
import javax.ejb.EJBObject;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.sql.DataSource;

import org.objectweb.jonas.common.Log;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.BasicLevel;

import org.objectweb.ws.addressbook_client_ejb.gen.Address;
import org.objectweb.ws.addressbook_client_ejb.gen.AddressBook;
import org.objectweb.ws.addressbook_client_ejb.gen.AddressBookService;
import org.objectweb.ws.addressbook_client_ejb.gen.AddressBookServiceLocator;


/**
 *
 */
public class AddressBookClientSLR implements SessionBean {

    static private Logger logger = null;
    SessionContext ejbContext;

    // ------------------------------------------------------------------
    // SessionBean implementation
    // ------------------------------------------------------------------


    public void setSessionContext(SessionContext ctx) {
        if (logger == null) {
            logger = Log.getLogger("org.objectweb.jonas_tests");
        }
        logger.log(BasicLevel.DEBUG, "");
        ejbContext = ctx;
    }
        

    public void ejbRemove() {
        logger.log(BasicLevel.DEBUG, "");
    }
        

    public void ejbCreate() throws CreateException {
        abServ = new AddressBookServiceLocator();

        try {
            ab = abServ.getAddressBookService();
        }
        catch(javax.xml.rpc.ServiceException se) {
            throw new CreateException(se.getMessage());
        }
        logger.log(BasicLevel.DEBUG, "AddressBook port created");
    }

    public void ejbPassivate() {
        logger.log(BasicLevel.DEBUG, "");
    }

    public void ejbActivate() {
        logger.log(BasicLevel.DEBUG, "");
    }
    
    // ------------------------------------------------------------------
    // AddressBookClient implementation
    // ------------------------------------------------------------------

    private AddressBookService abServ = null;
    private AddressBook        ab     = null;


    public Address getAddress(String name) throws java.rmi.RemoteException {
        return ab.getAddress(name);
    }

    public Address[] getAllAddresses() throws java.rmi.RemoteException {
        return ab.getAllAddresses();
    }

    public int countAddresses() throws java.rmi.RemoteException {
        return ab.countAddresses();
    }

    public String getOwner() throws java.rmi.RemoteException {
        return ab.getOwner();
    }

    public String addEntry(Address a) throws java.rmi.RemoteException {
        return ab.addEntry(a);
    }

}

