// AddressBookClientDIIClient.java
// mini Client for accessing bean AddressBookClientDII

package org.objectweb.ws.addressbook_client_ejb.beans.ab_diiclient;

import java.rmi.RemoteException;
import java.util.Collection;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;

import org.objectweb.ws.addressbook_client_ejb.gen.Address;

/**
 *
 */
public class AddressBookClientDIIClient {

    static Context ctx = null; 
    static AddressBookClientDIIHome home = null;
    static java.net.URL ep = null;

    public static void main(String[] arg) {
        
        // Get InitialContext
        try {
            ctx = new InitialContext();
        } catch (NamingException e) {
            e.printStackTrace();
            System.exit(2);
        }

        try {
            ep = new java.net.URL("http://localhost:"+arg[0]+"/addressbook/services/AddressBookService");
        } catch (java.net.MalformedURLException mue) {
            mue.printStackTrace();
            System.exit(3);
        }
        
        // Lookup bean home 
        String bName = "AddressBookClientDIIHome";
        try {
            home = (AddressBookClientDIIHome) PortableRemoteObject.narrow(ctx.lookup(bName), AddressBookClientDIIHome.class);
            AddressBookClientDII client = home.create();

            client.setEndpointURL(ep);
            
            // getAddress
            Address a1 = client.getAddress("Xavier Delplanque");
            System.out.println("-- Address Returned : --");
            System.out.println(" - name    : "+a1.getName());
            System.out.println(" - city    : "+a1.getCity());
            System.out.println(" - zip     : "+a1.getZip());
            System.out.println(" - country : "+a1.getCountry());
            System.out.println(" - phone   : "+a1.getPhone());
            
            System.out.println("");
            
            // getAllAddresses
            Address[] adds = client.getAllAddresses();
            System.out.println("-- Addresses Returned : --");
            for (int i = 0 ; i < adds.length ; i++) {
                Address a = adds[i];
                System.out.println(" - name    : "+a.getName());
                System.out.println(" - city    : "+a.getCity());
                System.out.println(" - zip     : "+a.getZip());
                System.out.println(" - country : "+a.getCountry());
                System.out.println(" - phone   : "+a.getPhone());
                System.out.println("---------------------------");
            }
            
            System.out.println("");
            
            // countAddresses
            int count = client.countAddresses();
            System.out.println("-- Number of Addresses : " + count);
            
            System.out.println("");
            
            // getOwner
            String owner = client.getOwner();
            System.out.println("-- AddressBook Owner : " + owner);
            
            System.out.println("");
        
            // addEntry
            Address a2 = new Address();
            a2.setName("JOnAS");
            a2.setCity("Echirolles");
            a2.setZip(38100);
            a2.setPhone("0476291526");
            String res = client.addEntry(a2);
            System.out.println("-- addEntry return : " + res);

        } catch(Exception e) {
            e.printStackTrace();
            System.exit(2);
        }
        
    }
}
