package org.objectweb.ws.addressbook_web.servlets.ab;

/**
 * Address is used between a Web Service client and an endpoint
 * It contains the name of a person and some informations
 * @author Guillaume Sauthier
 */
public class Address implements java.io.Serializable{

    private String name = "";
    private String city = "";
    private int    zip  = 0;
    private String country = "FRANCE";
    private String phone  = "";
    

    /**
     * Default JavaBean Constructor
     */
    public Address(){

    }

    /**
     * Return the name of the person
     */
    public String getName() {
        return name;
    }

    /**
     * Set the name of the person
     * @param n the name of the person
     */
    public void setName(String n) {
        name = n;
    }

    /**
     * Return the name of the city
     */
    public String getCity() {
        return city;
    }

    /**
     * Set the name of the city
     * @param c the city name
     */
    public void setCity(String c) {
        city = c;
    }

    /**
     * Return the name of the country
     */
    public String getCountry() {
        return country;
    }

    /**
     * Set the name of the country
     * @param c the name of the country
     */
    public void setCountry(String c) {
        country = c;
    }

    /**
     * Return the Phone number
     */
    public String getPhone() {
        return phone;
    }

    /**
     * Set the phone Number of the Person
     * @param p the phone Number of the Person
     */
    public void setPhone(String p) {
        phone = p;
    }

    /**
     * Return the Zip code of the city
     */
    public int getZip() {
        return zip;
    }

    /**
     * Set the Zip Code of the city
     * @param z the zip code of the city
     */
    public void setZip(int z) {
        zip = z;
    }


}
