/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Xavier Delplanque
 * Contributor(s): _______________________
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 *
 * inspirated by AXIS samples : example5
 *
 */
// OrderClientSLR.java
// Stateless Session bean

package org.objectweb.ws.ordering_client_ejb.beans.order_c;

import org.objectweb.ws.ordering_client_ejb.gen.Order;
import org.objectweb.ws.ordering_client_ejb.gen.OrderServiceLocal;
import org.objectweb.ws.ordering_client_ejb.gen.OrderServiceLocalService;
import org.objectweb.ws.ordering_client_ejb.gen.OrderServiceLocalServiceLocator;

import java.rmi.RemoteException;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;
import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.RemoveException;
import javax.ejb.EJBObject;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.sql.DataSource;

import org.objectweb.jonas.common.Log;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.BasicLevel;

/** This is a EnterpriseJavaBean which send an order to an order service 
 * 
 * @author Xavier Delplanque (xavier.delplanque@bull.net)
 */
public class OrderClientSLR implements SessionBean {

    static private Logger logger = null;
    SessionContext ejbContext;

    // ------------------------------------------------------------------
    // SessionBean implementation
    // ------------------------------------------------------------------


    public void setSessionContext(SessionContext ctx) {
        if (logger == null) {
            logger = Log.getLogger("org.objectweb.jonas_tests");
        }
        logger.log(BasicLevel.DEBUG, "");
        ejbContext = ctx;
    }
        

    public void ejbRemove() {
        logger.log(BasicLevel.DEBUG, "");
    }
        

    public void ejbCreate() throws CreateException {
        logger.log(BasicLevel.DEBUG, "");
        
        // get the serviceLocator
        try {
            binding = new OrderServiceLocalServiceLocator().getOrderService();
        } catch (javax.xml.rpc.ServiceException jre) {
            //throw new junit.framework.AssertionFailedError("JAX-RPC ServiceException caught: " + jre );
        }
        // ((WidgetPriceSoapBindingStub)binding).setMaintainSession(true);

    }

    public void ejbPassivate() {
        logger.log(BasicLevel.DEBUG, "");
    }

    public void ejbActivate() {
        logger.log(BasicLevel.DEBUG, "");
    }
    
    // ------------------------------------------------------------------
    // OrderClient implementation
    // ------------------------------------------------------------------

    private OrderServiceLocal binding = null;

    public String processOrder(Order order) throws RemoteException
    {
        return binding.processOrder(order);
    }

    public Order getCustomerOrder(String customer) throws RemoteException
    {
        return binding.getCustomerOrder(customer);
    }
}
