/*
 * @(#) OTSORBInitializer.java	1.0 02/07/15
 *
 * Copyright (C) 2002 - INRIA (www.inria.fr)
 * 
 * JOTM: Java Open Transaction Manager
 *
 * This library is developed inside the ObjectWeb Consortium,
 * http://www.objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 * 
 *
 */
package org.objectweb.jonas_tm.ots;

// omg import
import org.omg.PortableInterceptor.Interceptor; 
import org.omg.PortableInterceptor.ORBInitializer; 
import org.omg.PortableInterceptor.ORBInitInfo; 
import org.omg.CORBA.LocalObject;
import org.omg.CORBA.ORB;
import org.omg.IOP.Codec;
import org.omg.IOP.Encoding;
import org.omg.IOP.ENCODING_CDR_ENCAPS;

/**
 * Class <code>OTSORBInitializer</code> is a OTS Interceptor initialisation
 * for jotm
 * 
 * @author  Guillaume Riviere (Guillaume.Riviere@inrialpes.fr)
 * @version 1.0, 13/09/2002  
 */
public class OTSORBInitializer extends LocalObject implements ORBInitializer {


    public void pre_init(ORBInitInfo info){
        // do nothing
    }
    

    public void post_init(ORBInitInfo info){
	try {
	    info.add_client_request_interceptor(new OTSClientTransactionInterceptor(info));
	    info.add_server_request_interceptor(new OTSServerTransactionInterceptor(info));
	} catch (Exception e) {
	    e.printStackTrace();
	}
    }

}
